Get a receipt by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
Unique receipt ID.
created_atdatetime
Creation timestamp.
updated_atdatetime
Update timestamp.
originenum
Specifies how this receipt was created in Monite.
Allowed values:
created_by_entity_user_idstringformat: "uuid"
Entity user who created.
currencyenum
Currency code.
currency_exchangemap from strings to any
Currency exchange details.
descriptionstring<=1024 characters
Short transaction description.
document_idstring<=255 characters
Receipt number.
file_idstringformat: "uuid"
The id of the receipt file stored in the file saver.
file_urlstring
The URL of the receipt file stored in the file saver.
issued_atdatetime
Date when the receipt was issued.
merchant_locationstring<=255 characters
Merchant location.
merchant_namestring<=128 characters
Merchant name.
ocr_request_idstringformat: "uuid"
OCR request id.
ocr_statusstring
OCR status.
partner_metadatamap from strings to any
Partner metadata.
senderstringformat: "email"
The email address from which the invoice was sent to the entity.
source_of_dataenum
Source of data.
Allowed values:
total_amountinteger
Total amount in minor units.
transaction_idstringformat: "uuid"
Transaction ID.

Errors

401
Get Receipts ID Request Unauthorized Error
403
Get Receipts ID Request Forbidden Error
404
Get Receipts ID Request Not Found Error
422
Get Receipts ID Request Unprocessable Entity Error
429
Get Receipts ID Request Too Many Requests Error